## org.eclipse.datatools.sqltools.result.internal.export
Class CSVOutputter

    java.lang.Object
      org.eclipse.datatools.sqltools.result.export.AbstractOutputter
          org.eclipse.datatools.sqltools.result.internal.export.TextOutputter
              org.eclipse.datatools.sqltools.result.internal.export.CSVOutputter

    public class CSVOutputter

extends TextOutputter

Outputs the result set(s) in CSV format

Author:
  Dafan Yang

Constructor Summary
`CSVOutputter()`

Method Summary
`void` `output(IResultInstance rs, java.util.Properties props, java.io.OutputStream os)`
`void` `output(IResultInstance rs, java.util.Properties props, java.io.PrintWriter pw)`
`void` `output(IResultSetObject resultset, java.util.Properties props, java.io.OutputStream stream)`
`void` `output(IResultSetObject resultset, java.util.Properties props, java.io.PrintWriter writer)`

Methods inherited from class org.eclipse.datatools.sqltools.result.internal.export.TextOutputter
`getPrintString, getPrintString, output, output`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVOutputter

    public CSVOutputter()

Method Detail

### output

    public void output(IResultInstance rs,
                       java.util.Properties props,
                       java.io.OutputStream os)
                throws java.io.IOException

  Overrides:
    `output` in class `TextOutputter`
  Throws:
    `java.io.IOException`

### output

    public void output(IResultInstance rs,
                       java.util.Properties props,
                       java.io.PrintWriter pw)
                throws java.io.IOException

  Overrides:
    `output` in class `TextOutputter`
  Throws:
    `java.io.IOException`

### output

    public void output(IResultSetObject resultset,
                       java.util.Properties props,
                       java.io.OutputStream stream)
                throws java.io.IOException

  Overrides:
    `output` in class `TextOutputter`
  Throws:
    `java.io.IOException`

### output

    public void output(IResultSetObject resultset,
                       java.util.Properties props,
                       java.io.PrintWriter writer)
                throws java.io.IOException

  Overrides:
    `output` in class `TextOutputter`
  Throws:
    `java.io.IOException`